<!--
   An XML DTD for Open Mathematical documents (OMDoc 1.2) Module DG
      SYSTEM http://www.mathweb.org/omdoc/dtd/omdocdg.mod
      PUBLIC -//OMDoc//ELEMENTS OMDoc DG V1.2//EN
   See the documentation and examples at http://www.mathweb.org/omdoc 
   (c) 1999-2003 Michael Kohlhase, released under the GNU Public License (GPL)
-->

<!ELEMENT %omdocdg.decomposition.qname; EMPTY>
<!ATTLIST %omdocdg.decomposition.qname; 
          %omdoc.common.attribs; 
          %omdoc.toplevel.attribs;
          %fori.attrib;
          links %omdocrefs; #REQUIRED>            
<!-- attribute 'for' points to a 'theory-inclusion', which this 
     element justifies; attribute 'links' is an URIrefs, points to a 
     list of axiom-inlcusions and theory-inclusions -->

<!ELEMENT %omdocdg.path-just.qname; EMPTY>
<!ATTLIST %omdocdg.path-just.qname; 
          %omdoc.common.attribs; 
          local %omdocref; #REQUIRED     
          globals %omdocrefs; #REQUIRED  
	  %fori.attrib; 
          %id.attrib;>
<!-- attribute 'local' is an URIref, points to axiom-inclusion
               'globals' is an URIrefs, points to a list of 
                         theory-inclusions -->


