<!--
   An XML DTD for Open Mathematical documents (OMDoc 1.2) Module QUIZ
     SYSTEM http://www.mathweb.org/omdoc/dtd/omdocquiz.mod
     PUBLIC -//OMDoc//ELEMENTS OMDoc QUIZ V1.2//EN
   See the documentation and examples at http://www.mathweb.org/omdoc 
   (c) 1999-2003 Michael Kohlhase, released under the GNU Public License (GPL)
-->

<!ENTITY % omdocquiz.choice.qname "%omdoc.pfx;choice">
<!ENTITY % omdocquiz.answer.qname "%omdoc.pfx;answer">

<!ELEMENT %omdocquiz.exercise.qname; 
          (%omdocmtxt.MCFS.content;,(%omdocquiz.hint.qname;)*,
            ((%omdocquiz.solution.qname;)*|(%omdocquiz.mc.qname;)*))>
<!ATTLIST %omdocquiz.exercise.qname; 
          %omdoc.common.attribs; 
          %omdoc.toplevel.attribs;
          for %omdocref; #IMPLIED>

<!ELEMENT %omdocquiz.hint.qname; (%omdocmtxt.MCFS.content;)>
<!ATTLIST %omdocquiz.hint.qname; 
          %omdoc.common.attribs; 
          %omdoc.toplevel.attribs;
          %fori.attrib;>

<!ELEMENT %omdocquiz.solution.qname; 
          (%omdocmtxt.MCFS.content;%omdocpf.opt.content;)>
<!ATTLIST %omdocquiz.solution.qname; 
          %omdoc.common.attribs; 
          %omdoc.toplevel.attribs;
          for %omdocref; #IMPLIED>

<!ELEMENT %omdocquiz.mc.qname; ((%ss;|%omdocquiz.choice.qname;),
           (%omdocquiz.hint.qname;)?,%omdocquiz.answer.qname;)>
<!ATTLIST %omdocquiz.mc.qname; 
          %omdoc.common.attribs; 
          %omdoc.toplevel.attribs;
          for %omdocref; #IMPLIED>

<!ELEMENT %omdocquiz.choice.qname; (%omdocmtxt.MCFS.content;)>
<!ATTLIST %omdocquiz.choice.qname; 
          %omdoc.common.attribs; 
          %id.attrib;>

<!ELEMENT %omdocquiz.answer.qname; (%omdocmtxt.MCFS.content;)>
<!ATTLIST %omdocquiz.answer.qname; 
          %omdoc.common.attribs; 
          verdict (true|false) #REQUIRED
          %id.attrib;>

