// Clase:    QMath_parser
// Proyecto: QMath
// Fecha:    jueves, 17 de diciembre de 2009, 22:56:39 CET
///////////////////////////////////////////////////////////////////////////
//
//   Copyright  2001, 2002, 2003 Alberto Gonzlez Palomo
//   Author: Alberto Gonzlez Palomo
//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
/////////////////////////////////////////////////////////////////////////////


#ifndef _H_QMath_parser
#define _H_QMath_parser

#include "Tokenizer/Tokenizer.h"
#include <unistd.h>
#include <iostream>
#include "OpenMath_object.H"
#include "Bison_typedefs.h"
#include "QMath_parser.tab.cc.h"
#include <algorithm> // STL
#include "../XML_infoset/XML_string/XML_string.h"
#include "../XML_infoset/XML_doc_info_item/XML_doc_info_item.h"
typedef class QMath_parser QMath_parser_t, *QMath_parser_p_t;

class QMath_parser
{

 public:
  QMath_parser();
  ~QMath_parser();
  bool Embedded_mode();
  int To_XML_doc_info_item(XML_doc_info_item_p_t document);
};



#endif
