// Clase:    XML_cdata_end_marker_info_item
// Proyecto: QMath
// Fecha:    jueves, 17 de diciembre de 2009, 22:56:42 CET
///////////////////////////////////////////////////////////////////////////
//
//   Copyright  2001, 2002 Alberto Gonzlez Palomo
//   Author: Alberto Gonzlez Palomo
//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
/////////////////////////////////////////////////////////////////////////////


#include "XML_cdata_end_marker_info_item.h"

/////////////
// XML_cdata_end_marker_info_item - Class constructor.
// no arguments.
//public:
XML_cdata_end_marker_info_item::XML_cdata_end_marker_info_item()
{
  this->parent = NULL;
  Type(cdata_end_marker_info_item);
}

/////////////
// ~XML_cdata_end_marker_info_item - Class destructor.
// no arguments.
//public:
XML_cdata_end_marker_info_item::~XML_cdata_end_marker_info_item()
{

}





/////////////
// XML_cdata_end_marker_info_item - Class constructor.
// parent: *_info_item to be the [parent] of the new object.
//         The new object is automatically inserted in [parent].
//public:
XML_cdata_end_marker_info_item::XML_cdata_end_marker_info_item(XML_elem_info_item_p_t parent)
{
  this->parent = NULL;
  Type(cdata_end_marker_info_item);
  parent->Children(this);
  Parent(parent);
}


/////////////
// Parent - Set [parent] property.
// parent: new value for property. Can be 0.
// returns object pointer for operator concatenation.
//public:
XML_cdata_end_marker_info_item_p_t XML_cdata_end_marker_info_item::Parent(XML_elem_info_item_p_t parent)
{
  this->parent = parent;
  
  return this;
}

/////////////
// Parent - Access to [parent] property.
// no arguments.
// returns property value.
//public:
const XML_info_item_p_t XML_cdata_end_marker_info_item::Parent()
{
  return (XML_info_item_p_t)(this->parent);
}
